CVE-2005-3655
CVSS7.5
发布时间 :2005-12-31 00:00:00
修订时间 :2008-09-05 16:54:55
NMCOPS    

[原文]Heap-based buffer overflow in Novell Open Enterprise Server Remote Manager (novell-nrm) in Novell SUSE Linux Enterprise Server 9 allows remote attackers to execute arbitrary code via an HTTP POST request with a negative Content-Length parameter.


[CNNVD]Novell SuSE Linux Enterprise Server畸形HTTP头字段堆溢出漏洞(CNNVD-200512-845)

        Novell SuSE Linux Enterprise Server是在企业环境中使用的开放源码计算平台。
        SuSE Linux Enterprise Server对畸形的HTTP请求头处理存在漏洞,远程攻击者可能利用此漏洞服务器程序执行拒绝服务攻击。
        SuSE Linux Enterprise Server没有正确的处理包含有负数Content-Length参数的HTTP POST请求。如果接收了上述请求的话,就可能出现可控制的堆破坏,导致通过堆溢出执行任意代码。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3655
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3655
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-845
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/16226
(UNKNOWN)  BID  16226
http://www.novell.com/linux/security/advisories/2006_02_novellnrm.html
(UNKNOWN)  SUSE  SUSE-SA:2006:002
http://www.idefense.com/intelligence/vulnerabilities/display.php?id=371
(UNKNOWN)  IDEFENSE  20060113 Novell SUSE Linux Enterprise Server Remote Manager Heap Overflow
http://xforce.iss.net/xforce/xfdb/24111
(UNKNOWN)  XF  novell-remote-manager-bo(24111)
http://www.osvdb.org/22455
(UNKNOWN)  OSVDB  22455
http://securitytracker.com/id?1015487
(UNKNOWN)  SECTRACK  1015487
http://securityreason.com/securityalert/348
(UNKNOWN)  SREASON  348
http://secunia.com/advisories/18484
(UNKNOWN)  SECUNIA  18484

- 漏洞信息

Novell SuSE Linux Enterprise Server畸形HTTP头字段堆溢出漏洞
高危 缓冲区溢出
2005-12-31 00:00:00 2006-01-17 00:00:00
远程  
        Novell SuSE Linux Enterprise Server是在企业环境中使用的开放源码计算平台。
        SuSE Linux Enterprise Server对畸形的HTTP请求头处理存在漏洞,远程攻击者可能利用此漏洞服务器程序执行拒绝服务攻击。
        SuSE Linux Enterprise Server没有正确的处理包含有负数Content-Length参数的HTTP POST请求。如果接收了上述请求的话,就可能出现可控制的堆破坏,导致通过堆溢出执行任意代码。
        

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://portal.suse.com/psdb/1af470a99a736eb966cc0e52fb71ee98.html
        http://support.novell.com/cgi-bin/search/searchtid.cgi?psdb/1af470a99a736eb966cc0e52fb71ee98.html
        http://www.novell.com/linux/security/advisories/2006_02_novellnrm.html

- 漏洞信息 (F43094)

iDEFENSE Security Advisory 2006-01-13.t (PacketStormID:F43094)
2006-01-15 00:00:00
iDefense Labs  idefense.com
advisory,remote,overflow,arbitrary
linux,suse
CVE-2005-3655
[点击下载]

iDefense Security Advisory 01.13.06 - Remote exploitation of a heap overflow vulnerability in Novell Inc.'s Open Enterprise Server Remote Manager allows attackers to execute arbitrary code. iDefense has confirmed this vulnerability in Novell SUSE Linux Enterprise Server 9. All previous versions are suspected vulnerable. Novell SUSE Linux Enterprise Server components are included in Novell Open Enterprise Server; as such, Open Enterprise Server is also vulnerable.

Novell SUSE Linux Enterprise Server Remote Manager Heap Overflow

iDefense Security Advisory 01.13.06
http://www.idefense.com/application/poi/display?type=vulnerabilities
January 13, 2006

I. BACKGROUND

Novell SUSE Linux Enterprise Server is a platform for open source
computing in an enterprise environment.

II. DESCRIPTION

Remote exploitation of a heap overflow vulnerability in Novell Inc.'s
Open Enterprise Server Remote Manager allows attackers to execute
arbitrary code.

III. ANALYSIS

The vulnerability specifically exists due to improper handling of a an
HTTP POST request with a negative Content-Length paramater. When such a
request is received, controllable heap corruption occurs which can lead
to the execution of arbitrary code using traditional Linux heap overflow
methods. The following HTTP request can be used to trigger this
vulnerability.

  POST / HTTP/1.0
  Content-Length: -900

  DATA_THAT_WILL_BE_USED_TO_OVERWRITE_THE_HEAP

iDefense Labs testing has determined that with careful manipulation of
the string, an arbitrary 4 byte write may be achieved which can be used
to gain execution control.

IV. DETECTION

iDefense has confirmed this vulnerability in Novell SUSE Linux
Enterprise Server 9. All previous versions are suspected vulnerable.
Novell SUSE Linux Enterprise Server components are included in Novell
Open Enterprise Server; as such, Open Enterprise Server is also
vulnerable.

V. WORKAROUND

iDefense is currently unaware of any workarounds for this issue.

VI. VENDOR RESPONSE

Novell has released the following advisories to address this issue:

  http://portal.suse.com/psdb/1af470a99a736eb966cc0e52fb71ee98.html
  
http://support.novell.com/cgi-bin/search/searchtid.cgi?psdb/1af470a99a736eb966cc0e52fb71ee98.html

SUSE has released the following advisories to address this issue:

  http://www.novell.com/linux/security/advisories/2006_02_novellnrm.html

VII. CVE INFORMATION

The Common Vulnerabilities and Exposures (CVE) project has assigned the
name CVE-2005-3655 to this issue. This is a candidate for inclusion in
the CVE list (http://cve.mitre.org), which standardizes names for
security problems.

VIII. DISCLOSURE TIMELINE

11/15/2005  Initial vendor notification
11/15/2005  Initial vendor response
01/13/2006  Coordinated public disclosure

IX. CREDIT

The discoverer of this vulnerability wishes to remain anonymous.

Get paid for vulnerability research
http://www.idefense.com/poi/teams/vcp.jsp

Free tools, research and upcoming events
http://labs.idefense.com

X. LEGAL NOTICES

Copyright     

- 漏洞信息 (F43091)

SUSA-SA-2006-002.txt (PacketStormID:F43091)
2006-01-15 00:00:00
 
advisory,remote,web
linux,suse
CVE-2005-3655
[点击下载]

SUSE Security Announcement - iDEFENSE reported a security problem with the Novell Remote Manager. By passing a huge or negative size via a HTTP request header to httpstkd it was possible to corrupt heap memory and so potentially execute code.

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

______________________________________________________________________________

                        SUSE Security Announcement

        Package:                novell-nrm
        Announcement ID:        SUSE-SA:2006:002
        Date:                   Fri, 13 Jan 2006 15:00:00 +0000
        Affected Products:      Open Enterprise Server
        Vulnerability Type:     remote code execution
        Severity (1-10):        10
        SUSE Default Package:   yes
        Cross-References:       CVE-2005-3655

    Content of This Advisory:
        1) Security Vulnerability Resolved:
             remote heap overflow 
           Problem Description
        2) Solution or Work-Around
        3) Special Instructions and Notes
        4) Package Location and Checksums
        5) Pending Vulnerabilities, Solutions, and Work-Arounds:
            See SUSE Security Summary Report.
        6) Authenticity Verification and Additional Information

______________________________________________________________________________

1) Problem Description and Brief Discussion

   iDEFENSE reported a security problem with the Novell Remote Manager.

   By passing a huge or negative size via a HTTP request header to
   httpstkd it was possible to corrupt heap memory and so potentially
   execute code.

   We have released updated packages for this problem.

   The affected novell-nrm package is only included in the Open Enterprise
   Server.

   This issue is tracked by the Mitre CVE ID CVE-2005-3655.

2) Solution or Work-Around

   There is no known workaround, please install the update packages.

3) Special Instructions and Notes

   None

4) Package Location and Checksums

   The preferred method for installing security updates on Open Enterprise
   Server is Red Carpet / ZLM.

   The packages are also offered for installation from the maintenance web:
   
   http://support.novell.com/cgi-bin/search/searchtid.cgi?psdb/1af470a99a736eb966cc0e52fb71ee98.html
   http://portal.suse.com/psdb/1af470a99a736eb966cc0e52fb71ee98.html

______________________________________________________________________________

5) Pending Vulnerabilities, Solutions, and Work-Arounds:

   See SUSE Security Summary Report.
______________________________________________________________________________

6) Authenticity Verification and Additional Information

  - Announcement authenticity verification:

    SUSE security announcements are published via mailing lists and on Web
    sites. The authenticity and integrity of a SUSE security announcement is
    guaranteed by a cryptographic signature in each announcement. All SUSE
    security announcements are published with a valid signature.

    To verify the signature of the announcement, save it as text into a file
    and run the command

      gpg --verify <file>

    replacing <file> with the name of the file where you saved the
    announcement. The output for a valid signature looks like:

      gpg: Signature made <DATE> using RSA key ID 3D25D3D9
      gpg: Good signature from "SuSE Security Team <security@suse.de>"

    where <DATE> is replaced by the date the document was signed.

    If the security team's key is not contained in your key ring, you can
    import it from the first installation CD. To import the key, use the
    command

      gpg --import gpg-pubkey-3d25d3d9-36e12d04.asc

  - Package authenticity verification:

    SUSE update packages are available on many mirror FTP servers all over the
    world. While this service is considered valuable and important to the free
    and open source software community, the authenticity and the integrity of
    a package needs to be verified to ensure that it has not been tampered
    with.

    There are two verification methods that can be used independently from
    each other to prove the authenticity of a downloaded file or RPM package:

    1) Using the internal gpg signatures of the rpm package
    2) MD5 checksums as provided in this announcement

    1) The internal rpm package signatures provide an easy way to verify the
       authenticity of an RPM package. Use the command

        rpm -v --checksig <file.rpm>

       to verify the signature of the package, replacing <file.rpm> with the
       filename of the RPM package downloaded. The package is unmodified if it
       contains a valid signature from build@suse.de with the key ID 9C800ACA.

       This key is automatically imported into the RPM database (on
       RPMv4-based distributions) and the gpg key ring of 'root' during
       installation. You can also find it on the first installation CD and at
       the end of this announcement.

    2) If you need an alternative means of verification, use the md5sum
       command to verify the authenticity of the packages. Execute the command

         md5sum <filename.rpm>

       after you downloaded the file from a SUSE FTP server or its mirrors.
       Then compare the resulting md5sum with the one that is listed in the
       SUSE security announcement. Because the announcement containing the
       checksums is cryptographically signed (by security@suse.de), the
       checksums show proof of the authenticity of the package if the
       signature of the announcement is valid. Note that the md5 sums
       published in the SUSE Security Announcements are valid for the
       respective packages only. Newer versions of these packages cannot be
       verified.

  - SUSE runs two security mailing lists to which any interested party may
    subscribe:

    suse-security@suse.com
        -   General Linux and SUSE security discussion.
            All SUSE security announcements are sent to this list.
            To subscribe, send an e-mail to
                <suse-security-subscribe@suse.com>.

    suse-security-announce@suse.com
        -   SUSE's announce-only mailing list.
            Only SUSE's security announcements are sent to this list.
            To subscribe, send an e-mail to
                <suse-security-announce-subscribe@suse.com>.

    For general information or the frequently asked questions (FAQ),
    send mail to <suse-security-info@suse.com> or
    <suse-security-faq@suse.com>.

    =====================================================================
    SUSE's security contact is <security@suse.com> or <security@suse.de>.
    The <security@suse.de> public key is listed below.
    =====================================================================
______________________________________________________________________________

    The information in this advisory may be distributed or reproduced,
    provided that the advisory is not modified in any way. In particular, the
    clear text signature should show proof of the authenticity of the text.

    SUSE Linux Products GmbH provides no warranties of any kind whatsoever
    with respect to the information contained in this security advisory.

Type Bits/KeyID    Date       User ID
pub  2048R/3D25D3D9 1999-03-06 SuSE Security Team <security@suse.de>
pub  1024D/9C800ACA 2000-10-19 SuSE Package Signing Key <build@suse.de>

- -----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org
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=LRKC
- -----END PGP PUBLIC KEY BLOCK-----

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iQEVAwUBQ8fIWXey5gA9JdPZAQK6Ewf/c8DGMFZVm1SH3KY6FgkS/LvwF8jYwJed
TyF3kt/IPndQzUmlcyitRsWn5jlVUKxqXvP+PZOEnKt1WSC72h7XioDLteTXE7O9
3kISvDwtAE3IwQV2mhpck6ZNKwiMbtovnViXi5i2KT2ZZkhrqT5ukKWVm0OwCjjS
ygtIqSPJE+WPCHpJVVLmWqnpLRutjiMXuZxdQz02XP58bivcOw0XxbdVo8A99Od3
BZKEJJWLjtmPfWRaXT7KOGonO4kVxxUdEFd7g/uNZ4Oe1oV3RzoY+5tJ0zpgraEi
aKex7lSlIaeIcNRn6I1QwUtiIoGzV+wFPCB+ww5rLGgFXPCf3zkDkg==
=MUKi
-----END PGP SIGNATURE-----
    

- 漏洞信息

22455
Novell Open Enterprise Server Remote Manager (novell-nrm) POST Request Content-Length Overflow
Remote / Network Access Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

A remote overflow exists in Novell Remote Manager. The product fails to handle HTTP POST requests with a negative Content-Length paramater resulting in a heap overflow. With a specially crafted request, an attacker can cause execution of arbitrary code resulting in a loss of integrity.

- 时间线

2006-01-13 2005-11-15
Unknow Unknow

- 解决方案

Upgrade to novell-nrm version 1.3-8 and novell-nrm-welcome version 3.0-1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

- 漏洞信息

SuSE Open Enterprise Server Novell Remote Manager HTTP Request Header Heap Overflow Vulnerability
Boundary Condition Error 16226
Yes No
2006-01-13 12:00:00 2006-01-13 12:00:00
This issue was reported by iDEFENSE who credit an anonymous individual with discovering the issue.

- 受影响的程序版本

S.u.S.E. Open-Enterprise-Server 9.0

- 漏洞讨论

Novell Remote Manager (novell-nrm) is prone to a remotely exploitable heap overflow vulnerability. This issue may be triggered by a malicious HTTP request header.

Successful exploitation will allow for arbitrary code execution in the context of the application.

Novell Remote Manager ships with the SuSE Open Enterprise Server only.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com <mailto:vuldb@securityfocus.com>.

- 解决方案

The vendor has released advisory SUSE-SA:2006:002 has been released to address this issue. Updates may be installed through Red Carpet / ZLM. Please see the attached advisory for further information on obtaining and applying fixes.

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站